Skip to main content
GET
/
orgs
/
{orgId}
/
claimed-domains
List organization's claimed domains
curl --request GET \
  --url https://api.withampersand.com/v1/orgs/{orgId}/claimed-domains \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.withampersand.com/v1/orgs/{orgId}/claimed-domains"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.withampersand.com/v1/orgs/{orgId}/claimed-domains', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "00000000-0000-0000-0000-000000000001",
    "parentType": "org",
    "parentId": "00000000-0000-0000-0000-000000000001",
    "domain": "xyz.com"
  }
]
{
  "type": "urn:problem-type:exampleOrganization:exampleProblem",
  "href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
  "title": "Description of the type of problem that occurred",
  "status": 400,
  "detail": "Description of specific occurrence of the problem",
  "instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}
{
  "type": "urn:problem-type:exampleOrganization:exampleProblem",
  "href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
  "title": "Description of the type of problem that occurred",
  "status": 400,
  "detail": "Description of specific occurrence of the problem",
  "instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

orgId
string
required

Organization ID

Response

List of claimed domains for the organization

id
string
required

Unique identifier for the claimed domain

Example:

"00000000-0000-0000-0000-000000000001"

parentType
string
required

Type of the parent entity that claimed the domain

Example:

"org"

parentId
string
required

ID of the parent entity that claimed the domain

Example:

"00000000-0000-0000-0000-000000000001"

domain
string
required

The normalized domain name

Example:

"xyz.com"